wordpress zip macos error

File Zip creati da MacOS crashano su WP: arriva la soluzione!

Se fate un buon lavoro col vostro sito WordPress tenendolo costantemente aggiornato avrete sicuramente notato che nell’ultima versione, la 6.4.3 uscita il 30 Gennaio di quest’anno, c’è qualcosa di grosso che non va:

caricando archivi Zip per aggiornare i vostri plugin o il tema riceverete la schermata di errore “Incompatible Archive” che ha fatto infuriare il web!

incompatible archive

Praticamente, tutti gli archivi Zip creati sul sistema operativo Appla MacOS (cartella dei plugin o del tema) non possono essere più caricati su WordPress per via di quest’errore, che è stato prontamente riportato via ticket agli sviluppatori.

C’è chi ha già trovato la soluzione applicando un semplice filtro nel function.php, Jose Mortellaro, che lo spiega nel suo blog in questo articolo.

Aggiungi questa funzione al tuo function.php per fixare, oppure carica momentaneamente i tuoi file via SFTP:

				
					add_filter( 'unzip_file_use_ziparchive', '__return_false' );
				
			

Quando verrà risolto il problema?

Per nostra fortuna gli sviluppatori WordPress hanno prontamente risolto il bug includendo la patch nella versione 6.5 di WordPress, ma dovremo aspettare il 26 Marzo per poterla installare sul nostro sito dati i numerosi miglioramenti che apporterà al sistema.

Articoli correlati

Perché le vulnerabilità di plugin, tema e WordPress Core sono pericolose?

WordPress è di gran lunga il sistema di gestione dei contenuti (CMS) più popolare. In tutto il mondo, oltre il 40% di tutti i siti web si basa su WordPress....

Newsletter? Autenticazione SPF, DKIM e DMARC obbligatoria!

Quando invii email, i provider di posta elettronica (come Gmail, Outlook, AOL e Yahoo) devono identificare se si tratta di un’email legittima inviata dal proprietario del nome di dominio o...